/*
 * top-level javascript (functions and variable declarations) for info popup
 *
 * Required global variables:
 *     maps - comma-delimited string listing maps (maps.cgi parameter maps)
 *     build - string 'current' or 'previous'
 */


function getMapList(mapstr)
{
    var ms = mapstr.split(/,/);
    for (i = 0; i < ms.length; ++i) {
        ms[i] = ms[i].replace(/-chr.*/, '');
    }
    return ms;
}

var altpl = new AltPlacements(getMapList(maps.replace(/[\[].*?[\]]/g, '')));
 
function showpop(popup, tax_id, obj_id, pl_id)
{
    altpl.GetInfo(tax_id, build, obj_id, pl_id);
    popup.Show(['obj' + obj_id, 'pl' + pl_id]);
}

 
// popup-specific code
 
// create popups
var info = new DivPopup('info', 'popup',
                        'info_panel', 'popup_h',
                        'blank_ipanel',
                        'InfoPanel'
                       );
 
function cinfo()
{   
    info.Close();
}
 
function sinfo(tax_id, obj_id, pl_id)
{ 
    showpop(info, tax_id, obj_id, pl_id);
}
 

